"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var BooleanType_1 = require("./BooleanType");
var DynamicType_1 = require("./DynamicType");
describe('BooleanType', function () {
    it('is equivalent to boolean types', function () {
        chai_1.expect(new BooleanType_1.BooleanType().isAssignableTo(new BooleanType_1.BooleanType())).to.be.true;
        chai_1.expect(new BooleanType_1.BooleanType().isAssignableTo(new DynamicType_1.DynamicType())).to.be.true;
    });
});
//# sourceMappingURL=BooleanType.spec.js.map