"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var DynamicType_1 = require("./DynamicType");
var StringType_1 = require("./StringType");
describe('DynamicType', function () {
    it('is equivalent to dynamic types', function () {
        chai_1.expect(new DynamicType_1.DynamicType().isAssignableTo(new StringType_1.StringType())).to.be.true;
        chai_1.expect(new DynamicType_1.DynamicType().isAssignableTo(new DynamicType_1.DynamicType())).to.be.true;
    });
});
//# sourceMappingURL=DynamicType.spec.js.map