"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DoubleType_1 = require("./DoubleType");
var DynamicType_1 = require("./DynamicType");
var IntegerType_1 = require("./IntegerType");
var LongIntegerType_1 = require("./LongIntegerType");
var FloatType = /** @class */ (function () {
    function FloatType() {
    }
    FloatType.prototype.isAssignableTo = function (targetType) {
        return (targetType instanceof FloatType ||
            targetType instanceof DynamicType_1.DynamicType);
    };
    FloatType.prototype.isConvertibleTo = function (targetType) {
        if (targetType instanceof DynamicType_1.DynamicType ||
            targetType instanceof IntegerType_1.IntegerType ||
            targetType instanceof FloatType ||
            targetType instanceof DoubleType_1.DoubleType ||
            targetType instanceof LongIntegerType_1.LongIntegerType) {
            return true;
        }
        else {
            return false;
        }
    };
    FloatType.prototype.toString = function () {
        return 'float';
    };
    return FloatType;
}());
exports.FloatType = FloatType;
//# sourceMappingURL=FloatType.js.map