"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicType_1 = require("./DynamicType");
var InvalidType = /** @class */ (function () {
    function InvalidType() {
    }
    InvalidType.prototype.isAssignableTo = function (targetType) {
        return (targetType instanceof InvalidType ||
            targetType instanceof DynamicType_1.DynamicType);
    };
    InvalidType.prototype.isConvertibleTo = function (targetType) {
        return this.isAssignableTo(targetType);
    };
    InvalidType.prototype.toString = function () {
        return 'invalid';
    };
    return InvalidType;
}());
exports.InvalidType = InvalidType;
//# sourceMappingURL=InvalidType.js.map