"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DoubleType_1 = require("./DoubleType");
var DynamicType_1 = require("./DynamicType");
var FloatType_1 = require("./FloatType");
var IntegerType_1 = require("./IntegerType");
var LongIntegerType = /** @class */ (function () {
    function LongIntegerType() {
    }
    LongIntegerType.prototype.isAssignableTo = function (targetType) {
        return (targetType instanceof LongIntegerType ||
            targetType instanceof DynamicType_1.DynamicType);
    };
    LongIntegerType.prototype.isConvertibleTo = function (targetType) {
        if (targetType instanceof DynamicType_1.DynamicType ||
            targetType instanceof IntegerType_1.IntegerType ||
            targetType instanceof FloatType_1.FloatType ||
            targetType instanceof DoubleType_1.DoubleType ||
            targetType instanceof LongIntegerType) {
            return true;
        }
        else {
            return false;
        }
    };
    LongIntegerType.prototype.toString = function () {
        return 'longinteger';
    };
    return LongIntegerType;
}());
exports.LongIntegerType = LongIntegerType;
//# sourceMappingURL=LongIntegerType.js.map