/**
 * An object that keeps track of all possible error messages.
 */
export declare let diagnosticMessages: {
    Generic_parser_message: () => {
        message: string;
        code: number;
    };
    Call_to_unknown_function_1001: (name: string, scopeName: string) => {
        message: string;
        code: number;
    };
    Expected_a_arguments_but_got_b_1002: (expectedCount: string | number, actualCount: number) => {
        message: string;
        code: number;
    };
    Duplicate_function_implementation_1003: (functionName: string, scopeName: string) => {
        message: string;
        code: number;
    };
    Referenced_file_does_not_exist_1004: () => {
        message: string;
        code: number;
    };
    Xml_component_missing_component_declaration_1005: () => {
        message: string;
        code: number;
    };
    Component_missing_name_attribute_1006: () => {
        message: string;
        code: number;
    };
    Component_missing_extends_attribute_1007: () => {
        message: string;
        code: number;
    };
    Xml_parse_error_1008: () => {
        message: string;
        code: number;
    };
    Unnecessary_script_import_in_child_from_parent_1009: (parentComponentName: string) => {
        message: string;
        code: number;
    };
    Shadows_ancestor_function_1010: (callableName: string, currentContextName: string, parentFilePath: string, parentContextName: string) => {
        message: string;
        code: number;
    };
    Local_var_shadows_global_function_1011: (localName: string, globalLocation: string) => {
        message: string;
        code: number;
    };
    Script_import_case_mismatch_1012: (correctFilePath: string) => {
        message: string;
        code: number;
    };
    File_not_referenced_by_any_file_1013: () => {
        message: string;
        code: number;
    };
    Unknown_diagnostic_code_1014: (theUnknownCode: number) => {
        message: string;
        code: number;
    };
    Script_src_cannot_be_empty_1015: () => {
        message: string;
        code: number;
    };
};
export declare let diagnosticCodes: any[];
