"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicType_1 = require("./DynamicType");
var BooleanType = /** @class */ (function () {
    function BooleanType() {
    }
    BooleanType.prototype.isAssignableTo = function (targetType) {
        return (targetType instanceof BooleanType ||
            targetType instanceof DynamicType_1.DynamicType);
    };
    BooleanType.prototype.isConvertibleTo = function (targetType) {
        return this.isAssignableTo(targetType);
    };
    BooleanType.prototype.toString = function () {
        return 'boolean';
    };
    return BooleanType;
}());
exports.BooleanType = BooleanType;
//# sourceMappingURL=BooleanType.js.map