"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var DoubleType_1 = require("./DoubleType");
var DynamicType_1 = require("./DynamicType");
describe('DoubleType', function () {
    it('is equivalent to double types', function () {
        chai_1.expect(new DoubleType_1.DoubleType().isAssignableTo(new DoubleType_1.DoubleType())).to.be.true;
        chai_1.expect(new DoubleType_1.DoubleType().isAssignableTo(new DynamicType_1.DynamicType())).to.be.true;
    });
});
//# sourceMappingURL=DoubleType.spec.js.map