import { BrsType } from './BrsType';
export declare class FunctionType implements BrsType {
    returnType: BrsType;
    constructor(returnType: BrsType);
    /**
     * The name of the function for this type. Can be null
     */
    name: string;
    /**
     * Determines if this is a sub or not
     */
    isSub: boolean;
    params: {
        name: string;
        type: BrsType;
        isRequired: boolean;
    }[];
    setName(name: string): this;
    addParameter(name: string, type: BrsType, isRequired: boolean): this;
    isAssignableTo(targetType: BrsType): boolean;
    isConvertibleTo(targetType: BrsType): boolean;
    toString(): string;
}
