"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DoubleType_1 = require("./DoubleType");
var DynamicType_1 = require("./DynamicType");
var FloatType_1 = require("./FloatType");
var LongIntegerType_1 = require("./LongIntegerType");
var IntegerType = /** @class */ (function () {
    function IntegerType() {
    }
    IntegerType.prototype.isAssignableTo = function (targetType) {
        return (targetType instanceof IntegerType ||
            targetType instanceof DynamicType_1.DynamicType);
    };
    IntegerType.prototype.isConvertibleTo = function (targetType) {
        if (targetType instanceof DynamicType_1.DynamicType ||
            targetType instanceof IntegerType ||
            targetType instanceof FloatType_1.FloatType ||
            targetType instanceof DoubleType_1.DoubleType ||
            targetType instanceof LongIntegerType_1.LongIntegerType) {
            return true;
        }
        else {
            return false;
        }
    };
    IntegerType.prototype.toString = function () {
        return 'integer';
    };
    return IntegerType;
}());
exports.IntegerType = IntegerType;
//# sourceMappingURL=IntegerType.js.map