"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var DynamicType_1 = require("./DynamicType");
var IntegerType_1 = require("./IntegerType");
describe('IntegerType', function () {
    it('is equivalent to other integer types', function () {
        chai_1.expect(new IntegerType_1.IntegerType().isAssignableTo(new IntegerType_1.IntegerType())).to.be.true;
        chai_1.expect(new IntegerType_1.IntegerType().isAssignableTo(new DynamicType_1.DynamicType())).to.be.true;
    });
});
//# sourceMappingURL=IntegerType.spec.js.map