"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicType_1 = require("./DynamicType");
var InterfaceType = /** @class */ (function () {
    function InterfaceType() {
    }
    InterfaceType.prototype.isAssignableTo = function (targetType) {
        return (targetType instanceof InterfaceType ||
            targetType instanceof DynamicType_1.DynamicType);
    };
    InterfaceType.prototype.isConvertibleTo = function (targetType) {
        return this.isAssignableTo(targetType);
    };
    InterfaceType.prototype.toString = function () {
        //TODO make this match the actual interface of the object
        return 'interface';
    };
    return InterfaceType;
}());
exports.InterfaceType = InterfaceType;
//# sourceMappingURL=InterfaceType.js.map