"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var DynamicType_1 = require("./DynamicType");
var InvalidType_1 = require("./InvalidType");
describe('InvalidType', function () {
    it('is equivalent to invalid types', function () {
        chai_1.expect(new InvalidType_1.InvalidType().isAssignableTo(new InvalidType_1.InvalidType())).to.be.true;
        chai_1.expect(new InvalidType_1.InvalidType().isAssignableTo(new DynamicType_1.DynamicType())).to.be.true;
    });
});
//# sourceMappingURL=InvalidType.spec.js.map