"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var DynamicType_1 = require("./DynamicType");
var LongIntegerType_1 = require("./LongIntegerType");
describe('LongIntegerType', function () {
    it('is equivalent to other long integer types', function () {
        chai_1.expect(new LongIntegerType_1.LongIntegerType().isAssignableTo(new LongIntegerType_1.LongIntegerType())).to.be.true;
        chai_1.expect(new LongIntegerType_1.LongIntegerType().isAssignableTo(new DynamicType_1.DynamicType())).to.be.true;
    });
});
//# sourceMappingURL=LongIntegerType.spec.js.map