"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicType_1 = require("./DynamicType");
var ObjectType = /** @class */ (function () {
    function ObjectType() {
    }
    ObjectType.prototype.isAssignableTo = function (targetType) {
        return (targetType instanceof ObjectType ||
            targetType instanceof DynamicType_1.DynamicType);
    };
    ObjectType.prototype.isConvertibleTo = function (targetType) {
        return this.isAssignableTo(targetType);
    };
    ObjectType.prototype.toString = function () {
        return 'object';
    };
    return ObjectType;
}());
exports.ObjectType = ObjectType;
//# sourceMappingURL=ObjectType.js.map