"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var DynamicType_1 = require("./DynamicType");
var ObjectType_1 = require("./ObjectType");
describe('ObjectType', function () {
    it('is equivalent to other object types', function () {
        chai_1.expect(new ObjectType_1.ObjectType().isAssignableTo(new ObjectType_1.ObjectType())).to.be.true;
        chai_1.expect(new ObjectType_1.ObjectType().isAssignableTo(new DynamicType_1.DynamicType())).to.be.true;
    });
});
//# sourceMappingURL=ObjectType.spec.js.map