"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicType_1 = require("./DynamicType");
var StringType = /** @class */ (function () {
    function StringType() {
    }
    StringType.prototype.isAssignableTo = function (targetType) {
        return (targetType instanceof StringType ||
            targetType instanceof DynamicType_1.DynamicType);
    };
    StringType.prototype.isConvertibleTo = function (targetType) {
        return this.isAssignableTo(targetType);
    };
    StringType.prototype.toString = function () {
        return 'string';
    };
    return StringType;
}());
exports.StringType = StringType;
//# sourceMappingURL=StringType.js.map