"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicType_1 = require("./DynamicType");
var UninitializedType = /** @class */ (function () {
    function UninitializedType() {
    }
    UninitializedType.prototype.isAssignableTo = function (targetType) {
        return (targetType instanceof UninitializedType ||
            targetType instanceof DynamicType_1.DynamicType);
    };
    UninitializedType.prototype.isConvertibleTo = function (targetType) {
        return this.isAssignableTo(targetType);
    };
    UninitializedType.prototype.toString = function () {
        return 'uninitialized';
    };
    return UninitializedType;
}());
exports.UninitializedType = UninitializedType;
//# sourceMappingURL=UninitializedType.js.map