"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicType_1 = require("./DynamicType");
var VoidType = /** @class */ (function () {
    function VoidType() {
    }
    VoidType.prototype.isAssignableTo = function (targetType) {
        return (targetType instanceof VoidType ||
            targetType instanceof DynamicType_1.DynamicType);
    };
    VoidType.prototype.isConvertibleTo = function (targetType) {
        return this.isAssignableTo(targetType);
    };
    VoidType.prototype.toString = function () {
        return 'void';
    };
    return VoidType;
}());
exports.VoidType = VoidType;
//# sourceMappingURL=VoidType.js.map